<%= form_for(@legal_agent) do |f| %>
  <% if @legal_agent.errors.any? %>
    <div class="col-md-3"></div>
    <div class="col-md-6">

      <div class="panel panel-danger">
        <div class="panel-heading">Errores al registrar compañia</div>
          <ul class="list-group">
            <% @legal_agent.errors.full_messages.each do |message| %>
              <li class='list-group-item'><%= message %></li>
            <% end %>
          </ul>
      </div>
    </div>
  <% end %>
<br>

<div class="row">
  <div class="col-md-6">  
    <div class="field">
      <label>Numero de Identificacion</label><br>
      <%= f.number_field :identification_number, :class => 'form-control' %>
    </div><br>
    <!--<div class="field">-->
      <!--<label>Tipo de identificacion</label><br>-->
      <!--<select name='legal_agent[identification_type]' class="form-control">-->
        <!--<option value="1">Carnet de Identidad</option>-->
        <!--<option value="2">Libreta Militar</option>-->
        <!--<option value="3">Pasaporte</option>-->
      <!--</select>-->
    <!--</div><br>-->
    <div class="field">
      <label>Nombre</label><br>
      <%= f.text_field :first_name, :class => 'form-control' %>
    </div><br>
    <div class="field">
      <label>Apellido</label><br>
      <%= f.text_field :last_name, :class => 'form-control' %>
    </div><br>
    <div class="field">
      <label>Pais</label><br>
      <%= f.text_field :country, :class => 'form-control' %>
    </div><br>
    <div class="field">
      <label>Ciudad</label><br>
      <%= f.text_field :city, :class => 'form-control' %>
    </div><br>
    <br>
      <p>* Todos los campos son obligatorios.</p>
  </div>

  <div class="col-md-6">  
    <div class="field">
      <label>Direccion</label><br>
      <%= f.text_field :address, :class => 'form-control' %>
    </div><br>
    <div class="field">
      <label>Numero de telefono</label><br>
      <%= f.text_field :phone_number, :class => 'form-control' %>
    </div><br>
  <!--  <div class="field">
      <label>Email</label><br>
      <%= f.text_field :email, :class => 'form-control' %>
    </div><br>
    <div class="field">
      <!--<%= f.label :mailbox %><br>-->
      <!--<%= f.text_field :mailbox, :class => 'form-control' %>-->
    <!--</div><br>-->
      <div class="field">
        <label>Cuenta de usuario</label><br>
        <%= f.select :user_id, options_from_collection_for_select(@users, "id", "email",@legal_agent.user_id), { :prompt => 'Ninguno'}, :class => 'form-control'  %>
      </div><br>
      <div class="field">
        <label>Compania</label><br>
        <%= f.select :company_id, options_from_collection_for_select(@companies, "id", "name") , {}, :class => 'form-control'%>
      </div><br>
  </div>
</div>
<div class="row center">
  <br>
    <% if !@companies.any? %>
        <p> *Tomar en cuenta que se necesita una compania para registrar un Representante Legal y en este momento 
        no hay companias registradas. </p>
    <% else %>
        <div class="actions">
          <%= f.submit 'Registrar',class: 'btn btn-default ' %>
        </div>
    <% end %>
</div>
<br>
<% end %>
